---
page_source: https://docs.juspay.io/payout-sea/docs/integration/outage-api
page_title: Outage API
---

## API Version: default


# Outage API



Outage API can provide information regarding health of the beneficiary bank being used by the customer for creating a payout. Merchants can display cautionary messages on UI basis response of outage API. ## Endpoints:
- Production: https://api.juspay.in/payout/merchant/v1/outage

## Request Type: 
GET

## Content-Type: 
application/json

## Authorization:

#### Basic Auth (copy):
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: String, Mandatory
## Headers:

#### x-merchantid:
Pass merchant-id provided by Juspay
- Tags: string
## Sample Code Snippets:
### Code Snippets:

#### Request Code Snippet:

```request
curl --location 'https://sandbox.juspay.in/payout/merchant/v1/outage' \
--header 'Content-Type: application/json' \
--header 'x-routing-id: customer_1122'\
--header 'Authorization: Basic (b64 encoded API key)=='

```

### Sample Request and Response:

#### Response:
```json
{
    "beneficiarySpecificData": [
        {
            "status": "FLUCTUATE",
            "bankName": "HDFC Bank",
            "bankCode": "607152",
            "mode": "VISADIRECT"
        },
        {
            "status": "DOWN",
            "bankName": "Yes Bank",
            "ifscIdentifier": "YESB",
            "bankCode": "607223",
            "mode": "IMPS"
        },
        {
            "status": "DOWN",
            "vpaHandler": "@oksbi",
            "mode": "UPI"
        }
    ],
    "gatewaySpecificData": [
        {
            "status": "FLUCTUATE",
            "mode": "VISADIRECT",
            "gateway": "JUSPAY"
        },
        {
            "status": "DOWN",
            "mode": "IMPS",
            "gateway": "ICICI"
        },
        {
            "status": "DOWN",
            "mode": "UPI",
            "gateway": "CASHFREE"
        }
    ]
}

```

## Query Parameters:

#### beneType:
Payment rail on which the details of the beneficiary bank that experience downtimes are desired. Multiple rails of payment separated by comma can be given as inputs.e.g., “CARD,ACCOUNT_IFSC” In case no param is passed the API will give outage details across all the payment rails.
- Value:  CARD | ACCOUNT_IFSC | UPI_ID
- Tags: String

#### category:
Merchant can pass ‘beneficiary’ to get outage details of beneficiary bank and rail combination or ‘gateway’ to get outage details of gateways.In case no param is passed the API will give outage details of the gateway as well as the beneficiary bank & rail combinations.
- Value:  gateway | beneficiary
- Tags: String
## API Responses:
### 200:

#### status:
- Description: Status field indicates impact of downtime on the beneficiary bank. In case of severe impact it will be DOWN, while in case of a moderate or low impact it will be FLUCTUATE
- Value:  FLUCTUATE | DOWN
- Tags: String

#### bankName:
- Description: Name of the bank (not applicable on UPI_ID)
- Tags: String

#### ifscIdentifier:
- Description: First four letters of bank facing downtime (only applicable on ACCOUNT_IFSC)
- Value: e.g., HDFC | ICIC | YESB 
- Tags: String

#### vpaHandler:
- Description: VPA handle facing downtime (only applicable on UPI_ID)
- Value:  e.g., @oksbi
- Tags: String

#### bankCode:
- Description: 6 digit bank code for the bank facing downtime (not applicable on UPI_ID)
- Value:  e.g., 607152 | 607153
- Tags: String

#### mode:
- Description: Indicates the payout rail affected by downtime. 
- Value:  e.g., VISADIRECT | MASTERSEND | IMPS | UPI
- Tags: String

#### gateway:
- Description: Name of the gateway facing downtime (in case downtime is limited to particular gateway)
- Tags: String
